% Tom Gradel - CIS 601 - HW 2

% Read graylevel JPEG image
IM = imread('ship_gray.jpg');

% equalize grayscale levels
M = my_histeq(IM);

% quantize the image
I2 = reshape(M(uint8(1 + double(IM(:)))),size(IM));

% show what was done
figure;
imshow(IM), title('Original Image - Ship');
figure;
imshow(I2), title('My equalization - Ship');
figure
subplot(2,1,1), imhist(IM), title('Original Image - Ship');
subplot(2,1,2), imhist(I2), title('My equalization - Ship - better image');

% Read graylevel JPEG image
IM = imread('MarsSpirit-44b-zoom_gray.jpg');

% equalize grayscale levels
M = my_histeq(IM);

% quantize the image
I2 = reshape(M(uint8(1 + double(IM(:)))),size(IM));

% show what was done
figure;
imshow(IM), title('Original Image - Mars');
figure;
imshow(I2), title('My equalization - Mars - too many shadows');
figure
subplot(2,1,1), imhist(IM), title('Original Image - Mars');
subplot(2,1,2), imhist(I2), title('My equalization - Mars');

