% Tom Gradel - CIS 601 - HW 2
function J = my_histeq(I)
% J = my_histeq(I) - equalize image I.  Return map J

% count frequency of each pixel
[count,bins] = imhist(I);

% normalize and computer cumulative distribution
cdf = cumsum(count ./ sum(count));

% scale to range of 0 to 255
m = min(cdf);
J = uint8(round((((cdf - m) / (1 - m)) * 255) + 0.5));